Only certain types of networks on a vSphere cloud can be extended to a public vCloud. The virtual machines or vApps that you want to move with the Stretch Deploy command must belong to a supported network on the private vSphere cloud.

The network must be deployed in a way that

The vShield Edge is configured to reach the Internet.

If your private cloud uses an HTTPS proxy server that is configured with a fully qualified domain name (FQDN) to reach the Internet, then the corresponding DNS server must be set in the vShield Edge. Specify the DNS server settings in the vShield Manager that is associated with the cloud. See How to Configure a DNS Server in vShield Manager.

The vShield Edge is connected to only one external network.

The vShield Edge has an internal interface configured.

The vShield Edge's internal interface is not connected to a regular switch. Its internal interface can be connected to a vSphere Distributed Switch (version 5.1 only).

The vShield Edge appliance size can be Compact, Large, or X-Large.

The vShield Edge's IP allocation type should be set to either DHCP or Manual Static. A Dynamic DHCP Binding is not supported.

Additionally,

The virtual machine's network connection cannot be empty. It must be connected to a port group. The port group can be VLAN or VXLAN based.

The virtual machine's network must be connected to a vSphere Distributed Switch (version 5.1 or higher). It cannot be connected to a regular switch.

The virtual machine cannot be connected to multiple networks.

If you are moving a vApp, its VMs cannot be connected to different networks.

A flat vSphere network with vShield Edge configured to reach the Internet.

The following network configurations on a vSphere cloud are not supported for Stretch Deploy.

Cascaded networks, that is networks within networks, are not supported.

If the vSphere network has a vShield Edge with multiple NICs connected to multiple internal networks, only the flat networks are supported. Any networks connected to the vShield Edge that are not flat are not supported.